com.fasterxml.jackson.databind.ext

## Class CoreXMLDeserializers.DurationDeserializer

- java.lang.Object
- - com.fasterxml.jackson.databind.JsonDeserializer<T>
  - - com.fasterxml.jackson.databind.deser.std.StdDeserializer<T>
    - - com.fasterxml.jackson.databind.deser.std.StdScalarDeserializer<T>
      - - com.fasterxml.jackson.databind.deser.std.FromStringDeserializer<Duration>
        - - com.fasterxml.jackson.databind.ext.CoreXMLDeserializers.DurationDeserializer

All Implemented Interfaces:
  Serializable

Enclosing class:
  CoreXMLDeserializers

    public static class CoreXMLDeserializers.DurationDeserializer
    extends FromStringDeserializer<Duration>

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonDeserializer

`JsonDeserializer.None`

### Field Summary

Fields
`static CoreXMLDeserializers.DurationDeserializer` `instance`

### Fields inherited from class com.fasterxml.jackson.databind.deser.std.StdDeserializer

`_valueClass`

### Constructor Summary

Constructors
Constructor and Description
`CoreXMLDeserializers.DurationDeserializer()`

### Method Summary

Methods
`protected Duration` `_deserialize(String value, DeserializationContext ctxt)`

### Methods inherited from class com.fasterxml.jackson.databind.deser.std.FromStringDeserializer

`_deserializeEmbedded, deserialize`

### Methods inherited from class com.fasterxml.jackson.databind.deser.std.StdScalarDeserializer

`deserializeWithType`

### Methods inherited from class com.fasterxml.jackson.databind.deser.std.StdDeserializer

`_parseBoolean, _parseBooleanFromNumber, _parseBooleanPrimitive, _parseByte, _parseDate, _parseDouble, _parseDoublePrimitive, _parseFloat, _parseFloatPrimitive, _parseInteger, _parseIntPrimitive, _parseLong, _parseLongPrimitive, _parseShort, _parseShortPrimitive, _parseString, findConvertingContentDeserializer, findDeserializer, getValueClass, getValueType, handleUnknownProperty, isDefaultDeserializer, isDefaultKeyDeserializer, parseDouble`

### Methods inherited from class com.fasterxml.jackson.databind.JsonDeserializer

`deserialize, getDelegatee, getEmptyValue, getKnownPropertyNames, getNullValue, getObjectIdReader, isCachable, replaceDelegatee, unwrappingDeserializer`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### instance

    public static final CoreXMLDeserializers.DurationDeserializer instance

### Constructor Detail

#### CoreXMLDeserializers.DurationDeserializer

    public CoreXMLDeserializers.DurationDeserializer()

### Method Detail

#### _deserialize

    protected Duration _deserialize(String value,
                        DeserializationContext ctxt)
                             throws IllegalArgumentException

Specified by:
  `_deserialize` in class `FromStringDeserializer<Duration>`
Throws:
  `IllegalArgumentException`